<?xml version="1.0" encoding="UTF-8"?><xsd:schema attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://webservices.tedata.net/V2/TEDATACommonTypes" version="1" xmlns:tns="http://webservices.tedata.net/V2/TEDATACommonTypes" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
	<xsd:complexType name="TEDBaseDataType">
		<xsd:sequence>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="MessageHeader" type="tns:MessageHeaderType"/>
	<xsd:element name="TEDServiceException" type="tns:TEDServiceExceptionType"/>


	<xsd:complexType name="MessageHeaderType">
		<xsd:sequence>
			<xsd:element maxOccurs="1" minOccurs="0" name="globalTransactionID" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="transactionID" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="1" name="messageID" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="channelID" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="userID" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="1" name="timestamp" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="operationStatus" type="tns:OperationStatusType"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="extensions" type="tns:ExtensionType"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="version" type="xsd:int"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="TEDServiceExceptionType">
		<xsd:sequence>
			<xsd:element maxOccurs="1" minOccurs="1" name="faultName" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="faultCode" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="faultSource" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="faultMessage" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="operationStatus" type="tns:OperationStatusType"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="extensions" type="tns:ExtensionType"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="OperationStatusType">
		<xsd:sequence>
			<xsd:element maxOccurs="1" minOccurs="1" name="statusCode" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="statusSubCode" nillable="true" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="statusMessage" nillable="true" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="extensions" type="tns:ExtensionType"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ExtensionType">
		<xsd:sequence>
			<xsd:element maxOccurs="512" minOccurs="0" name="Property" type="tns:PropertyType"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="PropertyType">
		<xsd:sequence>
			<xsd:element maxOccurs="1" minOccurs="1" name="name" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="1" name="value" nillable="false" type="xsd:string"/>
			<xsd:element maxOccurs="1" minOccurs="0" name="type" nillable="true" type="xsd:string"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="Channel_Type">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="Matrix"/>
			<xsd:enumeration value="CCP"/>
			<xsd:enumeration value="OMS"/>
			<xsd:enumeration value="SSP"/>
			<xsd:enumeration value="SIMBA"/>
			<xsd:enumeration value="PCRF"/>
			<xsd:enumeration value="AAA"/>
			<xsd:enumeration value="DP"/>
			<xsd:enumeration value="RSP"/>
			<xsd:enumeration value="BEE"/>
			<xsd:enumeration value="PETRO-TRADE"/>
			<xsd:enumeration value="HomeCollection"/>
			<!-- for future use -->
		</xsd:restriction>
	</xsd:simpleType>
</xsd:schema>